function[x,output,exitflag]=ConsistentExpectationRP(x0,coefficients, delta, DATA_LARGE_IND, DATA_LARGE_ALT, DATA_SMALL, map);
output=[];
objval = [];
options =optimset('LargeScale','off','Display','iter','MaxFunEvals',1000);
[x,fval,exitflag]=fsolve(@objfun,x0,options);
output(6)=exitflag;
function f = objfun(x);
numargument = DATA_LARGE_ALT*x'+ DATA_LARGE_IND*coefficients';
denominator=zeros(length(numargument),1);
index=[1:3:length(numargument)-(3-2)]; 
denominator(index)=1+exp(numargument(index+1,1)-numargument(index))+exp(numargument(index+2)-numargument(index));	
denominator(index+1) = 1 + exp(numargument(index,1) - numargument(index+1)) + exp(numargument(index+2,1) - numargument(index+1));
denominator(index+2) = 1 + exp(numargument(index,1) - numargument(index+2)) + exp(numargument(index+1) - numargument(index+2));	
exb=1./denominator;

sigmamjtilde=zeros(size(map,1),1);
for k=1:size(map,1)
sigmamjtilde(k,1)=mean(exb(map(k,1:map(k,1000))));
end

FPE=DATA_SMALL(:,4)+DATA_SMALL(:,5);
sigmamjtilde_FPE=sigmamjtilde.*FPE;
[b, bint]=regress(delta,[DATA_SMALL sigmamjtilde]);
b
for k=1:length(b)-1
    f(k)=b(k)-x(k);
end
output=sigmamjtilde;
end

end
